import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';

class SharedLoadingAnimation extends StatefulWidget {
  const SharedLoadingAnimation({super.key});

  @override
  State<SharedLoadingAnimation> createState() => _SharedLoadingAnimationState();
}

class _SharedLoadingAnimationState extends State<SharedLoadingAnimation> {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: LottieBuilder.asset(
        'assets/animations/loading.json',
        width: 100,
        height: 100,
        fit: BoxFit.fill,
      ),
    );
  }
}
